import React, {useState} from 'react';
import styles from './index.module.less';
import MapPage from "@/pages/home/components/map";
import SettingsPage from "@/pages/home/components/settings";
import {Image, Text, View} from "ray";

export function Home() {
    const [tab,setTab] = useState('map')

  return (
      <View className={styles.container}>
          {/*<TopBar hideBack />*/}
          {tab === 'map' && <MapPage />}
          {tab === 'settings' && <SettingsPage />}
          <View className={styles.tabbar}>
              {[
                  {
                      code: "map",
                      text: "Map",
                  },
                  {
                      code: "settings",
                      text: "Settings",
                  },
              ].map(({ icon, activeIcon, code, text }) => {
                  const isSelected = code === tab;
                  return (
                      <View
                          key={text}
                          className={styles.tabbarItemBox}
                          onClick={() => { setTab(code); }}>
                          <View
                              className={`${styles.tabbarItem} ${isSelected ? styles.tabbarItemActive : ''} ${styles.button}`}
                          >
                              <Text className={styles.tabbarItemLabel}>{text}</Text>
                          </View>
                      </View>
                  );
              })}
          </View>
      </View>
  );
}

export default Home;
